<?php

/**
 * Observium
 *
 *   This file is part of Observium.
 *
 * @package    observium
 * @subpackage discovery
 * @copyright  (C) 2006-2013 Adam Armstrong, (C) 2013-2019 Observium Limited
 *
 */

// FIXME still used?

// Prettier rewrites for HP devices from the HH3C MIB family.

$hh3c_rewrites = array(
  'hh3c-s5500-28C-EI' => NULL,
  'hh3c-s5500-52C-EI' => NULL,
  'hh3c-s5500-28C-PWR-EI' => NULL,
  'hh3c-s5500-52C-PWR-EI' => NULL,
  'hh3c-s5500-28F-EI' => NULL,
  'hh3c-s5500-28C-EI-DC' => NULL,
  'hh3c-s6100-20Q-SI' => NULL,
  'hh3c-s5500-28C-SI' => NULL,
  'hh3c-s5500-52C-SI' => NULL,
  'hh3c-s5500-28C-PWR-SI' => NULL,
  'hh3c-s5500-52C-PWR-SI' => NULL,
  'hh3c-s5510-24P' => NULL,
  'hh3c-s5510-24F' => NULL,
  'hh3c-s3610-28P' => NULL,
  'hh3c-s3610-52P' => NULL,
  'hh3c-s3610-28TP' => NULL,
  'hh3c-s3610-28F' => NULL,
  'hh3c-e126' => NULL,
  'hh3c-e328' => NULL,
  'hh3c-e352' => NULL,
  'hh3c-s3100-8C-SI' => NULL,
  'hh3c-s3100-16C-SI' => NULL,
  'hh3c-s3100-26C-SI' => NULL,
  'hh3c-s3100-8T-SI' => NULL,
  'hh3c-s3100-16T-SI' => NULL,
  'hh3c-s3100-26T-SI' => NULL,
  'hh3c-s3100-26TP-SI' => NULL,
  'hh3c-s5100-24P-EI' => NULL,
  'hh3c-s5100-26C-EI' => NULL,
  'hh3c-s5100-50C-EI' => NULL,
  'hh3c-s5100-48P-EI' => NULL,
  'hh3c-s3600-28P-SI' => NULL,
  'hh3c-s3600-52P-SI' => NULL,
  'hh3c-s3600-28TP-SI' => NULL,
  'hh3c-s3600-28P-PWR-SI' => NULL,
  'hh3c-s3600-52P-PWR-SI' => NULL,
  'hh3c-s3600-28P-EI' => NULL,
  'hh3c-s3600-52P-EI' => NULL,
  'hh3c-s3600-28P-PWR-EI' => NULL,
  'hh3c-s3600-52P-PWR-EI' => NULL,
  'hh3c-s3600-28F-EI' => NULL,
  'hh3c-s5600-26C' => NULL,
  'hh3c-s5600-50C' => NULL,
  'hh3c-s5600-26C-PWR' => NULL,
  'hh3c-s5600-50C-PWR' => NULL,
  'hh3c-s5600-26F' => NULL,
  'hh3c-s3600-52G-HI' => NULL,
  'hh3c-s3600-52P-HI' => NULL,
  'hh3c-s3600-28G-HI' => NULL,
  'hh3c-s3600-28P-HI' => NULL,
  'hh3c-s3600-52M-HI' => NULL,
  'hh3c-s7502' => NULL,
  'hh3c-s7503' => NULL,
  'hh3c-s7506' => NULL,
  'hh3c-s7506R' => NULL,
  'hh3c-ar28-09' => NULL,
  'hh3c-ar28-10' => NULL,
  'hh3c-ar28-11' => NULL,
  'hh3c-ar28-12' => NULL,
  'hh3c-ar28-13' => NULL,
  'hh3c-ar28-14' => NULL,
  'hh3c-ar28-30' => NULL,
  'hh3c-ar28-31' => NULL,
  'hh3c-ar28-40' => NULL,
  'hh3c-ar28-80' => NULL,
  'hh3c-ar46-20' => NULL,
  'hh3c-ar46-40' => NULL,
  'hh3c-ar46-80' => NULL,
  'hh3c-msr20-20' => NULL,
  'hh3c-msr20-21' => NULL,
  'hh3c-msr20-40' => NULL,
  'hh3c-msr30-20' => NULL,
  'hh3c-msr30-40' => NULL,
  'hh3c-msr30-60' => NULL,
  'hh3c-msr50-40' => NULL,
  'hh3c-msr50-60' => NULL,
  'hh3c-ar18-21' => NULL,
  'hh3c-ar18-21A' => NULL,
  'hh3c-ar18-21B' => NULL,
  'hh3c-ar18-22' => NULL,
  'hh3c-ar18-22-8' => NULL,
  'hh3c-ar18-22S-8' => NULL,
  'hh3c-ar18-22-24' => NULL,
  'hh3c-ar18-23-1' => NULL,
  'hh3c-ar18-23S-1' => NULL,
  'hh3c-ar18-30E' => NULL,
  'hh3c-ar18-31E' => NULL,
  'hh3c-ar18-32E' => NULL,
  'hh3c-ar18-33' => NULL,
  'hh3c-ar18-33E' => NULL,
  'hh3c-ar18-34' => NULL,
  'hh3c-ar18-34E' => NULL,
  'hh3c-ar18-35E' => NULL,
  'hh3c-ar18-63-1' => NULL,
  'hh3c-secpathF100-C' => NULL,
  'hh3c-secpathF100-A' => NULL,
  'hh3c-secpathF100-S' => NULL,
  'hh3c-secpathF100-E' => NULL,
  'hh3c-secpathF1000-S' => NULL,
  'hh3c-secpathF1000-A' => NULL,
  'hh3c-secpathF1800-A' => NULL,
  'hh3c-secpathV100-S' => NULL,
  'hh3c-secpathV1000-A' => NULL,
  'hh3c-secpathF100-AW' => NULL,
  'hh3c-secpathF1800-S' => NULL,
  'hh3c-secpathF1800-E' => NULL,
  'hh3c-secpoint' => NULL,
  'hh3c-vg10-10' => NULL,
  'hh3c-vg10-11' => NULL,
  'hh3c-vg10-40' => NULL,
  'hh3c-vg10-41' => NULL,
  'hh3c-vg21-08' => NULL,
  'hh3c-vg20-16' => NULL,
  'hh3c-vg20-32' => NULL,
  'hh3c-vg80-20' => NULL,
  'hh3c-xe200' => NULL,
  'hh3c-xe2000' => NULL,
  'hh3c-xe7200' => NULL,
  'hh3c-xe7300' => NULL,
  'hh3c-xe7500' => NULL,
  'hh3c-xe7600' => NULL,
  'hh3c-xe7205' => NULL,
  'hh3c-xe7305' => NULL,
  'hh3c-xe7505' => NULL,
  'hh3c-xe7605' => NULL,
  'hh3c-neoceanIX1000' => NULL,
  'hh3c-neoceanEX1000' => NULL,
  'hh3c-neoceanEX800' => NULL,
  'hh3c-neoceanIX5000' => NULL,
  'hh3c-neoceanIV5100' => NULL,
  'hh3c-neoceanIV5200' => NULL,
  'hh3c-s9502' => NULL,
  'hh3c-s9505' => NULL,
  'hh3c-s9508' => NULL,
  'hh3c-s9508V' => NULL,
  'hh3c-s9512' => NULL,
  'hh3c-sR8812' => NULL,
  'hh3c-sR8808' => NULL,
  'hh3c-sR8805' => NULL,
  'hh3c-sR8802' => NULL,
  'hh3c-e126-SI' => NULL,
  'hh3c-vg31-08' => NULL,
  'hh3c-dr834' => NULL,
  'hh3c-s7510E' => NULL,
  'hh3c-s5100-24P-SI' => NULL,
  'hh3c-s5100-48P-SI' => NULL,
  'hh3c-s5100-8P-SI' => NULL,
  'hh3c-s5100-16P-SI' => NULL,
  'hh3c-s5100-8P-EI' => NULL,
  'hh3c-s5100-16P-EI' => NULL,
  'hh3c-s5100-8P-PWR-EI' => NULL,
  'hh3c-s5100-16P-PWR-EI' => NULL,
  'hh3c-s5100-26C-PWR-EI' => NULL,
  'hh3c-s5100-50C-PWR-EI' => NULL,
  'hh3c-s3108TP-EI' => NULL,
  'hh3c-s3116TP-EI' => NULL,
  'hh3c-s3126TP-EI' => NULL,
  'hh3c-s3108TP-EI-PWR' => NULL,
  'hh3c-s3116TP-EI-PWR' => NULL,
  'hh3c-s3126TP-EI-PWR' => NULL,
  'hh3c-s5500M-20C' => NULL,
  'hh3c-s5500M-20F' => NULL,
  'hh3c-bR304plus' => NULL,
  'hh3c-s9505-V5' => NULL,
  'hh3c-s9512-V5' => NULL,
  'hh3c-s9508-V5' => NULL,
  'hh3c-s9508V-V5' => NULL,
  'hh3c-s9502-V5' => NULL,
  'hh3c-sR8802-V5' => NULL,
  'hh3c-sR8805-V5' => NULL,
  'hh3c-sR8812-V5' => NULL,
  'hh3c-sR8808-V5' => NULL,
  'hh3c-s3100-52P' => NULL,
  'hh3c-e152' => NULL,
  'hh3c-s2108' => NULL,
  'hh3c-s2026' => NULL,
  'hh3c-sr6602' => NULL,
  'hh3c-sr6608' => NULL,
  'hh3c-s3100-08TP-EI' => NULL,
  'hh3c-s3100-08TP-PWR-EI' => NULL,
  'hh3c-s3100-16TP-EI' => NULL,
  'hh3c-s3100-16TP-PWR-EI' => NULL,
  'hh3c-s3100-26TP-EI' => NULL,
  'hh3c-s3100-26TP-PWR-EI' => NULL,
  'hh3c-s7502-v5' => NULL,
  'hh3c-vg80-21' => NULL,
  'hh3c-vg80-80' => NULL,
  'hh3c-wcm-wx5002' => NULL,
  'hh3c-wcm-wcma' => NULL,
  'hh3c-msr30-10' => NULL,
  'hh3c-s7502e' => NULL,
  'hh3c-s7503E' => NULL,
  'hh3c-s7506E' => NULL,
  'hh3c-s7506E-V' => NULL,
  'hh3c-secBlade-FW' => NULL,
  'hh3c-secBlade-IPSec' => NULL,
  'hh3c-s3100-8TP-SI' => NULL,
  'hh3c-s3100-16TP-SI' => NULL,
  'hh3c-e126A' => NULL,
  'hh3c-s3100-26TP-SI-B' => NULL,
  'hh3c-msr30-16' => NULL,
  'hh3cOEMProductID' => NULL,
  'hh3c-s2126-ei' => NULL,
  'hh3c-e150-si' => NULL,
  'hh3c-msr30-11' => NULL,
  'hh3c-neoceanIX3040' => NULL,
  'hh3c-neoceanIX3080' => NULL,
  'hh3c-secpathF100-M' => NULL,
  'hh3c-neoceanVX1500' => NULL,
  'hh3c-neoceanIX1520' => NULL,
  'hh3c-neoceanIX1540' => NULL,
  'hh3c-wcm-wx5002-128ap' => NULL,
  'hh3c-msr20-10' => NULL,
  'hh3c-msr20-11' => NULL,
  'hh3c-msr20-13' => NULL,
  'hh3c-msr20-15' => NULL,
  'hh3c-neoceanDL1008' => NULL,
  'hh3c-neoceanDL1008S' => NULL,
  'hh3c-neoceanDL1012' => NULL,
  'hh3c-s3610-52m' => NULL,
  'hh3c-IV5680' => NULL,
  'hh3c-IV5240' => NULL,
  'hh3c-F1000-E' => NULL,
  'hh3c-S5024P' => NULL,
  'hh3c-S5016P' => NULL,
  'hh3c-LSQ1FWBSC0' => NULL,
  'hh3c-LSB1FW2A0' => NULL,
  'hh3c-S3100-8TP-EI' => NULL,
  'hh3c-S3100-16TP-EI' => NULL,
  'hh3c-S3100-26TP-EI' => NULL,
  'hh3c-ET704' => NULL,
  'hh3c-ec1001' => NULL,
  'hh3c-ec1001-hf' => NULL,
  'hh3c-ec1004-hc' => NULL,
  'hh3c-ec2004-hf' => NULL,
  'hh3c-dc1001' => NULL,
  'hh3c-dm8000' => NULL,
  'hh3c-vm8000' => NULL,
  'hh3c-ms8000' => NULL,
  'hh3c-S3100-52TP' => NULL,
  'hh3c-msr20-12' => NULL,
  'hh3c-s1550E' => NULL,
  'hh3c-s1550' => NULL,
  'hh3c-s1526-EI' => NULL,
  'hh3c-msr20-12-T' => NULL,
  'hh3c-msr20-15-I' => NULL,
  'hh3c-msr20-15-N' => NULL,
  'hh3c-wx6100EWPX' => NULL,
  'hh3c-wx6100LSQ' => NULL,
  'hh3c-wx6100LSB' => NULL,
  'hh3c-wx6100SW' => NULL,
  'hh3c-dl1000' => NULL,
  'hh3c-dl1000s' => NULL,
  'hh3c-wa1208e-g' => NULL,
  'hh3c-wa1208e-dg' => NULL,
  'hh3c-wa1208e-ag' => NULL,
  'hh3c-wa1208e-agp' => NULL,
  'hh3c-S7501M-24T' => NULL,
  'hh3c-s7501M-24TP' => NULL,
  'hh3c-s7502M' => NULL,
  'hh3c-s7503M' => NULL,
  'hh3c-s7506M' => NULL,
  'hh3c-s7506M-V' => NULL,
  'hh3c-s7510M' => NULL,
  'hh3c-secpathT200' => NULL,
  'hh3c-secpathT200E' => NULL,
  'hh3c-cc600' => NULL,
  'hh3c-wa1208e-gp' => NULL,
  'hh3c-wb2321e-agp' => NULL,
  'hh3c-wh2520e-agp' => NULL,
  'hh3c-ICG2000' => NULL,
  'hh3c-ICG3000' => NULL,
  'hh3c-ICG5000' => NULL,
  'hh3c-S5520TP-SI' => NULL,
  'hh3c-wa2210-ag' => NULL,
  'hh3c-wa2220-ag' => NULL,
  'hh3c-wa2220e-ag' => NULL,
  'hh3c-wa2210x-g' => NULL,
  'hh3c-wa2220x-ag' => NULL,
  'hh3c-wa2220x-agp' => NULL,
  'hh3c-S3100-52TP-SI' => NULL,
  'hh3c-secpathASE5000-E' => NULL,
  'hh3c-secpathASE5000-S' => NULL,
  'hh3c-secpathU200-C' => NULL,
  'hh3c-secpathU200-S' => NULL,
  'hh3c-secpathU200-A' => NULL,
  'hh3c-secpathU200-M' => NULL,
  'hh3c-ec3016-hc' => NULL,
  'hh3c-dc1001-ff' => NULL,
  'hh3c-ecr3304-hf' => NULL,
  'hh3c-ecr3308-hd' => NULL,
  'hh3c-ecr3316-hc' => NULL,
  'hh3c-isc3000' => NULL,
  'hh3c-isc3100' => NULL,
  'hh3c-vm9000' => NULL,
  'hh3c-vm5000' => NULL,
  'hh3c-ms9000-vtdu' => NULL,
  'hh3c-ms9000-nru' => NULL,
  'hh3c-ums9005' => NULL,
  'hh3c-CS2104B' => NULL,
  'hh3c-CS2106B' => NULL,
  'hh3c-S5024E' => NULL,
  'hh3c-S5048E' => NULL,
  'hh3c-secpathF5000-A' => NULL,
  'hh3c-neoceanIX3240' => NULL,
  'hh3c-neoceanIX3620' => NULL,
  'hh3c-MSA7302' => NULL,
  'hh3c-MSA7306' => NULL,
  'hh3c-S7501E' => NULL,
  'hh3c-S3100-8C-EPON-EI' => NULL,
  'hh3c-S3100-16C-EPON-EI' => NULL,
  'hh3c-S3100-26C-EPON-EI' => NULL,
  'hh3c-secBlade-LSQ1AFCBSC0' => NULL,
  'hh3c-secBlade-LSB1AFC1A0' => NULL,
  'hh3c-secpathF1000-C' => NULL,
  'hh3c-secpathF100-A-SI' => NULL,
  'hh3c-secpathV100-E' => NULL,
  'hh3c-S5800-32C' => NULL,
  'hh3c-S5800-56C' => NULL,
  'hh3c-S5800-32C-PWR' => NULL,
  'hh3c-S5800-56C-PWR' => NULL,
  'hh3c-S5800-60C-PWR' => NULL,
  'hh3c-S5800-32F' => NULL,
  'hh3c-S5820X-28C' => NULL,
  'hh3c-S5820X-28S' => NULL,
  'hh3c-cc602' => NULL,
  'hh3c-cr400' => NULL,
  'hh3c-cc600E' => NULL,
  'hh3c-secpathT1000-M' => NULL,
  'hh3c-neoceanVX1540' => NULL,
  'hh3c-msr50-06' => NULL,
  'hh3c-secpathACG2000-M' => NULL,
  'hh3c-secBlade-LSQ1ACGASC0' => NULL,
  'hh3c-secBlade-LSB1ACG1A0' => NULL,
  'hh3c-wx3024wcm' => NULL,
  'hh3c-wx3024lsw' => NULL,
  'hh3c-wx5004' => NULL,
  'hh3c-sr6604' => NULL,
  'hh3c-iag5000-A' => NULL,
  'hh3c-secBlade-SPE-FWM' => NULL,
  'hh3c-ICG2200' => NULL,
  'hh3c-S7602' => NULL,
  'hh3c-S7603' => NULL,
  'hh3c-S7606' => NULL,
  'hh3c-S7606-V' => NULL,
  'hh3c-S7610' => NULL,
  'hh3c-wa2610e-agn' => NULL,
  'hh3c-wa2620e-agn' => NULL,
  'hh3c-wa1208e-g-v5' => NULL,
  'hh3c-wa1208e-dg-v5' => NULL,
  'hh3c-wa1208e-ag-v5' => NULL,
  'hh3c-wa1208e-agp-v5' => NULL,
  'hh3c-wa1208e-gp-v5' => NULL,
  'hh3c-S7503E-S' => NULL,
  'hh3c-secpathIAG2000-A' => NULL,
  'hh3c-secpathT1000-A' => NULL,
  'hh3c-secpathT1000-S' => NULL,
  'hh3c-secBlade-EWPX1FWA0' => NULL,
  'hh3c-secBlade-LSQ1NSMSC0' => NULL,
  'hh3c-secBlade-LSQ1AFDBSC0' => NULL,
  'hh3c-secBlade-LSQ1LBSC0' => NULL,
  'hh3c-secBlade-LSB1LB1A0' => NULL,
  'hh3c-neoceanIX1560' => NULL,
  'hh3c-neoceanEX1500S' => NULL,
  'hh3c-neoceanEX1520S' => NULL,
  'hh3c-neoceanEX1540S' => NULL,
  'hh3c-neoceanEX1560S' => NULL,
  'hh3c-ET716' => NULL,
  'hh3c-s3600-2P-OLT' => NULL,
  'hh3c-ER3200' => NULL,
  'hh3c-ER3100' => NULL,
  'hh3c-s9505E' => NULL,
  'hh3c-s9508E-V' => NULL,
  'hh3c-s9512E' => NULL,
  'hh3c-s12508' => NULL,
  'hh3c-s12518' => NULL,
  'hh3c-ET708' => NULL,
  'hh3c-ET724' => NULL,
  'hh3c-s2008TP-EA' => NULL,
  'hh3c-s2016TP-EA' => NULL,
  'hh3c-s2403TP-EA' => NULL,
  'hh3c-ICG2000-CT' => NULL,
  'hh3c-S3528P-EA' => NULL,
  'hh3c-S3552P-EA' => NULL,
  'hh3c-S3552F-EA' => NULL,
  'hh3c-S3528F-EA' => NULL,
  'hh3c-S3528TP-EA' => NULL,
  'hh3c-secpathAFD1000-A' => NULL,
  'hh3c-secpathF100-C-EI' => NULL,
  'hh3c-ER3260' => NULL,
  'hh3c-ICG800' => NULL,
  'hh3c-ICG800g' => NULL,
  'hh3c-ICG1000' => NULL,
  'hh3c-ICG1800' => NULL,
  'hh3c-neoceanIX3240E' => NULL,
  'hh3c-neoceanIX3620E' => NULL,
  'hh3c-neoceanIX3640E' => NULL,
  'hh3c-secpathACG8800-S3' => NULL,
  'hh3c-secpathT5000-S3' => NULL,
  'hh3c-secpathIAG2000-S' => NULL,
  'hh3c-secpathACG8800-S3-NS21S2MSPB0' => NULL,
  'hh3c-secpathT5000-S3-NS11S2MSPB0' => NULL,
  'hh3c-msr3010' => NULL,
  'hh3c-msr3011E' => NULL,
  'hh3c-msr3011F' => NULL,
  'hh3c-secpathT200-A' => NULL,
  'hh3c-secpathT200-M' => NULL,
  'hh3c-secpathF100-C2' => NULL,
  'hh3c-DPtech-FW1000-GE' => NULL,
  'hh3c-DPtech-FW1000-GA' => NULL,
  'hh3c-DPtech-FW1000-GS' => NULL,
  'hh3c-DPtech-FW1000-ME' => NULL,
  'hh3c-DPtech-FW1000-MA' => NULL,
  'hh3c-DPtech-FW1000-MM' => NULL,
  'hh3c-DPtech-FW1000-MC' => NULL,
  'hh3c-DPtech-UTM2000-MA' => NULL,
  'hh3c-DPtech-UTM2000-MM' => NULL,
  'hh3c-DPtech-UTM2000-MS' => NULL,
  'hh3c-DPtech-IPS2000-GM' => NULL,
  'hh3c-DPtech-IPS2000-MM' => NULL,
  'hh3c-sr6616' => NULL,
  'hh3c-s3620-28TP-EI' => NULL,
  'hh3c-s3620-28P-EI' => NULL,
  'hh3c-s3620-52P-EI' => NULL,
  'hh3c-s3620-28P-PWR-EI' => NULL,
  'hh3c-s3620-52P-PWR-EI' => NULL,
  'hh3c-s3620-28F-EI' => NULL,
  'hh3c-s3620-52M' => NULL,
  'hh3c-s3620-52M-DC' => NULL,
  'hh3c-s3620-28C-EI' => NULL,
  'hh3c-wa2210e-ge' => NULL,
  'hh3c-wa2220x-age' => NULL,
  'hh3c-wa2210x-ge' => NULL,
  'hh3c-wb2320x-age' => NULL,
  'hh3c-neoceanEX1540' => NULL,
  'hh3c-S5810-50S' => NULL,
  'hh3c-secBlade-LSQ1IPSSC0' => NULL,
  'hh3c-secBlade-LSB1IPS1A0' => NULL,
  'hh3c-ER5100' => NULL,
  'hh3c-ER5200' => NULL,
  'hh3c-wx3010wcm' => NULL,
  'hh3c-wx3010lsw' => NULL,
  'hh3c-cc652E' => NULL,
  'hh3c-S5120-20P-SI' => NULL,
  'hh3c-S5120-28P-SI' => NULL,
  'hh3c-S5120-52P-SI' => NULL,
  'hh3c-S5120-28P-EI' => NULL,
  'hh3c-S5120-52P-EI' => NULL,
  'hh3c-S5120-28P-LPWR-EI' => NULL,
  'hh3c-S5120-28P-PWR-EI' => NULL,
  'hh3c-wx6100LSR' => NULL,
  'hh3c-s7506E-S' => NULL,
  'hh3c-ICG2000B' => NULL,
  'hh3c-ICG2000C' => NULL,
  'hh3c-S1626' => NULL,
  'hh3c-S1650' => NULL,
  'hh3c-S1626P' => NULL,
  'hh3c-neoceanIX3620S' => NULL,
  'hh3c-neoceanIX3080S' => NULL,
  'hh3c-ER3280g' => NULL,
  'hh3c-wa2610-agn' => NULL,
  'hh3c-wa2612-agn' => NULL,
  'hh3c-secpathT200-S' => NULL,
  'hh3c-secpathU200-CS' => NULL,
  'hh3c-secpathU200-CM' => NULL,
  'hh3c-secpathU200-CA' => NULL,
  'hh3c-secBlade-LSR1AFC2A1' => NULL,
  'hh3c-secBlade-LSR1FW2A1' => NULL,
  'hh3c-secBlade-LSR1LB1A1' => NULL,
  'hh3c-secBlade-LSR1NSM1A1' => NULL,
  'hh3c-cc650E' => NULL,
  'hh3c-LSWM1WCM10' => NULL,
  'hh3c-LSWM1WCM20' => NULL,
  'hh3c-EWPXM1WCMC0' => NULL,
  'hh3c-LSWM1IPS10' => NULL,
  'hh3c-LSWM1FW10' => NULL,
  'hh3c-secpathF1000-S-EI' => NULL,
  'hh3c-secpathF1000-A-EI' => NULL,
  'hh3c-msr50-06-V5' => NULL,
  'hh3c-secBlade-LSR1ACG1A1' => NULL,
  'hh3c-secBlade-LSR1IPS1A1' => NULL,
  'hh3c-S7602-S' => NULL,
  'hh3c-S7603-S' => NULL,
  'hh3c-S7606-S' => NULL,
  'hh3c-SSM-s5500G' => NULL,
  'hh3c-SSM-FIC' => NULL,
  'hh3c-SSM-MIM' => NULL,
  'hh3c-ER8300' => NULL,
  'hh3c-wa2610x-gnp' => NULL,
  'hh3c-wb2360x-anp' => NULL,
  'hh3c-wh2530x-dag' => NULL,
  'hh3c-wa2620-agn' => NULL,
  'hh3c-cc610E' => NULL,
  'hh3c-DPtech-FW1000-GT' => NULL,
  'hh3c-s2008TP-EA-SI' => NULL,
  'hh3c-s2016TP-EA-SI' => NULL,
  'hh3c-s2403TP-EA-SI' => NULL,
  'hh3c-S5120-24P-EI' => NULL,
  'hh3c-S5120-48P-EI' => NULL,
  'hh3c-S5120-28C-EI' => NULL,
  'hh3c-S5120-52C-EI' => NULL,
  'hh3c-S5120-28C-PWR-EI' => NULL,
  'hh3c-S5120-52C-PWR-EI' => NULL,
  'hh3c-wx3008wcm' => NULL,
  'hh3c-wx3008lsw' => NULL,
  'hh3c-msr900' => NULL,
  'hh3c-msr920' => NULL,
  'hh3c-secBlade-LSQ1IAGSC0' => NULL,
  'hh3c-WX7306' => NULL,
  'hh3c-WX7310' => NULL,
  'hh3c-Blade5310' => NULL,
  'hh3c-Blade55102' => NULL,
  'hh3c-Blade5512S' => NULL,
  'hh3c-Blade55110X' => NULL,
  'hh3c-wa2610e-gnp' => NULL,
  'hh3c-s3100-26TP-SI-UM' => NULL,
  'hh3c-s3100-52TP-SI-UM' => NULL,
  'hh3c-s5500-24P-SI' => NULL,
  'hh3c-s5500-48P-SI' => NULL,
  'hh3c-ME8000' => NULL,
  'hh3c-ME8600' => NULL,
  'hh3c-ME5000' => NULL,
  'hh3c-MG6060' => NULL,
  'hh3c-MG6050' => NULL,
  'hh3c-MG6050S' => NULL,
  'hh3c-MG9010' => NULL,
  'hh3c-MG9030' => NULL,
  'hh3c-MG9060' => NULL,
  'hh3c-neoceanVX1500-DC' => NULL,
  'hh3c-cc620E' => NULL,
  'hh3c-SIVX-S3628' => NULL,
  'hh3c-SIVX-S5528' => NULL,
  'hh3c-SIVX-VS1500' => NULL,
  'hh3c-neoceanIX2540' => NULL,
  'hh3c-neoceanVX2500' => NULL,
  'hh3c-S5120-28P-PWR-SI' => NULL,
  'hh3c-S5120-28P-HPWR-SI' => NULL,
  'hh3c-F1000-E-DC' => NULL,
  'hh3c-S5028' => NULL,
  'hh3c-ET824' => NULL,
  'hh3c-OSM' => NULL,
  'hh3c-wx5002-v2' => NULL,
  'hh3c-wx5004-v2' => NULL,
  'hh3c-secpathT1000-C' => NULL,
  'hh3c-secBlade-LST1IPS1A1' => NULL,
  'hh3c-secBlade-LST1FW2A1' => NULL,
  'hh3c-secBlade-LST1LB1A1' => NULL,
  'hh3c-secBlade-LST1NSM1A1' => NULL,
  'hh3c-secBlade-EWPX2IAGSC0' => NULL,
  'hh3c-F1000-A-EI' => NULL,
  'hh3c-wx6108E' => NULL,
  'hh3c-wx6112E' => NULL,
  'hh3c-s5500-34C-HI' => NULL,
  'hh3c-s5500-58C-HI' => NULL,
  'hh3c-wa1208e-gp-h20' => NULL,
  'hh3c-S5120-9P-SI' => NULL,
  'hh3c-S5120-9P-PWR-SI' => NULL,
  'hh3c-S5120-9P-HPWR-SI' => NULL,
  'hh3c-e528' => NULL,
  'hh3c-e552' => NULL,
  'hh3c-s3600V2-28TP-EI' => NULL,
  'hh3c-s3600V2-52TP-EI' => NULL,
  'hh3c-s3600V2-28TP-PWR-EI' => NULL,
  'hh3c-s3600V2-52TP-PWR-EI' => NULL,
  'hh3c-s3600V2-28F-EI' => NULL,
  'hh3c-s3600V2-28TP-SI' => NULL,
  'hh3c-s3600V2-52TP-SI' => NULL,
  'hh3c-s3600V2-28TP-PWR-SI' => NULL,
  'hh3c-s3600V2-52TP-PWR-SI' => NULL,
  'hh3c-s3500V2-28TP-EA' => NULL,
  'hh3c-s3500V2-52TP-EA' => NULL,
  'hh3c-s3500V2-28F-EA' => NULL,
  'hh3c-s3500V2-28TP-SI' => NULL,
  'hh3c-s3500V2-52TP-SI' => NULL,
  'hh3c-s9508E' => NULL,
  'hh3c-s12504' => NULL,
  'hh3c-ICG2000B-GT' => NULL,
  'hh3c-ICG3000B' => NULL,
  'hh3c-ICG3000S' => NULL,
  'hh3c-ICG5000B' => NULL,
  'hh3c-wh2640X-agnp' => NULL,
  'hh3c-wa2620X-agnp' => NULL,
  'hh3c-s3100-16TP-PWR-EI-F' => NULL,
  'hh3c-cr16018' => NULL,
  'hh3c-cr16008' => NULL,
  'hh3c-cr16004' => NULL,
  'hh3c-F1000-A-SI' => NULL,
  'hh3c-F1000-E-SI' => NULL,
  'hh3c-secBlade-LST1ACG1A1' => NULL,
  'hh3c-secBlade-SPE-IPS' => NULL,
  'hh3c-secBlade-SPE-ACG' => NULL,
  'hh3c-wx6103' => NULL,
  'hh3c-LSQ1WCMD0' => NULL,
  'hh3c-EWPX2WCMD0' => NULL,
  'hh3c-LSR1WCM3A1' => NULL,
  'hh3c-S5830-52SC' => NULL,
  'hh3c-S5830-106S' => NULL,
  'hh3c-ET814' => NULL,
  'hh3c-S5120-28P-LI' => NULL,
  'hh3c-S5120-52P-LI' => NULL,
  'hh3c-secBlade-IM-FW-II' => NULL,
  'hh3c-secBlade-IM-LB' => NULL,
  'hh3c-secBlade-IM-SSL' => NULL,
  'hh3c-ER2210C' => NULL,
  'hh3c-VCX-Connect-100' => NULL,
  'hh3c-VCX-Connect-200' => NULL,
  'hh3c-VCX-V7005' => NULL,
  'hh3c-VCX-V7205' => NULL,
  'hh3c-VCX-MIM' => NULL,
  'hh3c-VCX-Connect-MIM-Primary' => NULL,
  'hh3c-VCX-Connect-MIM-Secondary' => NULL,
  'hh3c-VCX-V7310' => NULL,
  'hh3c-secBlade-IM-IPS' => NULL,
  'hh3c-secBlade-IM-ACG' => NULL,
  'hh3c-s7508E-X' => NULL,
  'hh3c-s10504' => NULL,
  'hh3c-s10508' => NULL,
  'hh3c-s10508-V' => NULL,
  'hh3c-secBlade-SPE-FWM-200' => NULL,
  'hh3c-secpathF1000-S-AI' => NULL,
  'hh3c-wx3024e-wcm' => NULL,
  'hh3c-wx3024e-lsw' => NULL,
  'hh3c-ER2100' => NULL,
  'hh3c-S5820X-34TC' => NULL,
  'hh3c-S5820X-34SC' => NULL,
  'hh3c-S5820X-34C' => NULL,
  'hh3c-S5820X-64SC' => NULL,
  'hh3c-cc720E' => NULL,
  'hh3c-S2126T' => NULL,
  'hh3c-S5800-54S' => NULL,
  'hh3c-S5820X-26S' => NULL,
  'hh3c-S3100V2-8TP-SI' => NULL,
  'hh3c-S3100V2-16TP-SI' => NULL,
  'hh3c-S3100V2-26TP-SI' => NULL,
  'hh3c-E126B' => NULL,
  'hh3c-S3100V2-8TP-EI' => NULL,
  'hh3c-S3100V2-16TP-EI' => NULL,
  'hh3c-S3100V2-26TP-EI' => NULL,
  'hh3c-S3100V2-8TP-PWR-EI' => NULL,
  'hh3c-S3100V2-16TP-PWR-EI' => NULL,
  'hh3c-S3100V2-26TP-PWR-EI' => NULL,
  'hh3c-S2008TP-EB' => NULL,
  'hh3c-S2016TP-EB' => NULL,
  'hh3c-S2403TP-EB' => NULL,
  'hh3c-S2008TP-PWR-EB' => NULL,
  'hh3c-S2016TP-PWR-EB' => NULL,
  'hh3c-S2403TP-PWR-EB' => NULL,
  'hh3c-S5800-LSW1FC4P0' => NULL,
  'hh3c-S2403TP-EA-SI-D' => NULL,
  'hh3c-S3528P-EA-D' => NULL,
  'hh3c-OAP-FIC-V2' => NULL,
  'hh3c-OAP-MIM-V2' => NULL,
  'hh3c-OAPS-MIM-V2' => NULL,
  'hh3c-S2008TP-PWR-EA' => NULL,
  'hh3c-S2008TP-PWR-EA-DC' => NULL,
  'hh3c-S2016TP-PWR-EA' => NULL,
  'hh3c-S2403TP-PWR-EA' => NULL,
  'hh3c-S5120-24P-EI-D' => NULL,
  'hh3c-S5120-24P-PWR-EI-D' => NULL,
  'hh3c-S5120-48P-EI-D' => NULL,
  'hh3c-S5024P-EI' => NULL,
  'hh3c-S5500-28C-EI-D' => NULL,
  'hh3c-S5500-52C-EI-D' => NULL,
  'hh3c-S5500-28F-EI-D' => NULL,
  'hh3c-S5500-28C-EI-DC-D' => NULL,
  'hh3c-MG9050' => NULL,
  'hh3c-S5120-52SC-HI' => NULL,
  'hh3c-CE3000-32F-EI' => NULL,
  'hh3c-S5830X-24S' => NULL,
  'hh3cDC1801FH' => NULL,
  'hh3cDC2004FF' => NULL,
  'hh3cEC1101HF' => NULL,
  'hh3cEC1102HF' => NULL,
  'hh3cEC1501HF' => NULL,
  'hh3cEC1801HH' => NULL,
  'hh3cEC2516HF' => NULL,
  'hh3cEC2016HC' => NULL,
  'hh3cEC2016HC8CH' => NULL,
  'hh3cEC2016HC4CH' => NULL,
  'hh3cEC1504HF' => NULL,
  'hh3cHIC5421' => NULL,
  'hh3cHIC5401' => NULL,
  'hh3cHIC5221H' => NULL,
  'hh3cHIC5201H' => NULL,
  'hh3cVM8500' => NULL,
  'hh3cMS8500' => NULL,
  'hh3cDM8500' => NULL,
  'hh3cVX500' => NULL,
  'hh3cISC3000E' => NULL,
  'hh3cISC3000S' => NULL,
  'hh3cCC700E' => NULL,
  'hh3cDC1001FF' => NULL,
  'hh3cECR3316HC' => NULL,
  'hh3cECR3308HD' => NULL,
  'hh3cECR3316HC8CH' => NULL,
  'hh3cECR3316HC4CH' => NULL,
  'hh3cECR3308HD4CH' => NULL,
  'hh3cHIC65017L' => NULL,
  'hh3cEC2508HF' => NULL,
  'hh3cS3528EA' => NULL,
  'hh3cS3552TPEA' => NULL,
  'hh3cWP3024' => NULL,
  'hh3cWP3048' => NULL,
  'hh3cS3528FPEA' => NULL,
  'hh3cE328B' => NULL,
  'hh3cE352B' => NULL,
  'hh3cE152B' => NULL,
  'hh3cS3100V252TP' => NULL,
  'hh3cWP2008' => NULL,
  'hh3cWP2016' => NULL,
  'hh3cWP2024' => NULL,
  'hh3cWP5024' => NULL,
  'hh3cWP5048' => NULL,
  'hh3cS2052TPEA' => NULL,
  'hh3cS7604X' => NULL,
  'hh3cS7608X' => NULL,
  'hh3cS7608XV' => NULL,
  'hh3cWA3620iAGN' => NULL,
  'hh3cWA3628iAGN' => NULL,
  'hh3cWA3610iGN' => NULL,
  'hh3cCC750E' => NULL,
  'hpA7502' => NULL,
  'hpA7503S' => NULL,
  'hpA7503' => NULL,
  'hpA7506' => NULL,
  'hpA7506V' => NULL,
  'hpA7510' => NULL,
  'hpA36002POLT' => NULL,
  'hpV190524' => NULL,
  'hpV190524POE' => NULL,
  'hpV190548' => NULL,
  'hpA512016GSI' => NULL,
  'hpA512024GSI' => NULL,
  'hpA512048GSI' => NULL,
  'hpA512024GPPOESI' => NULL,
  'hpA512024GPOESI' => NULL,
  'hpA580024G' => NULL,
  'hpA580024GPoEPlus' => NULL,
  'hpA580048G' => NULL,
  'hpA580048GPoEPlus' => NULL,
  'hpA580024GSFP' => NULL,
  'hpA580048GPoEPlus2SLOT' => NULL,
  'hpA5820X14XGSFPPlus2SLOT' => NULL,
  'hpA5820X24XGSFPPlus' => NULL,
  'hpA550028CEI' => NULL,
  'hpA550052CEI' => NULL,
  'hpA550028CPWREI' => NULL,
  'hpA550052CPWREI' => NULL,
  'hpA550028FEI' => NULL,
  'hpA550028CSI' => NULL,
  'hpA550052CSI' => NULL,
  'hpA550028CPWRSI' => NULL,
  'hpA550052CPWRSI' => NULL,
  'hpA512028CEI' => NULL,
  'hpA512052CEI' => NULL,
  'hpA512028CPWREI' => NULL,
  'hpA512052CPWREI' => NULL,
  'hpA512024PEI' => NULL,
  'hpA512048PEI' => NULL,
  'hpA9505' => NULL,
  'hpA9508V' => NULL,
  'hpA9508' => NULL,
  'hpA9512' => NULL,
  'hpA12508' => NULL,
  'hpA12518' => NULL,
  'hpA12504' => NULL,
  'hpA5800AF48G' => NULL,
  'hpA5820AF24XG' => NULL,
  'hpA6125GXG' => NULL,
  'hpA31008SI' => NULL,
  'hpA310016SI' => NULL,
  'hpA310024SI' => NULL,
  'hpA31008EI' => NULL,
  'hpA310016EI' => NULL,
  'hpA310024EI' => NULL,
  'hpA31008POEEI' => NULL,
  'hpA310016POEEI' => NULL,
  'hpA310024POEEI' => NULL,
  'hpA580024GTAA' => NULL,
  'hpA580024GPoEPlusTAA' => NULL,
  'hpA580024GSFPTAA' => NULL,
  'hpA580048GTAA' => NULL,
  'hpA580048GPoEPlusTAA2SLOT' => NULL,
  'hpA580048GPoEPlusTAA' => NULL,
  'hpA5820X14XGSFPPlusTAA2SLOT' => NULL,
  'hpA582024XGSFPPlusTAA' => NULL,
  'hpA512024GEITAA' => NULL,
  'hpA512048GEITAA' => NULL,
  'hpA512024GPOEEITAA' => NULL,
  'hpA512048GPOEEITAA' => NULL,
  'hpA550024GSFPEITAA' => NULL,
  'hpA550024GEITAA' => NULL,
  'hpA550048GEITAA' => NULL,
  'hpA550024GPOEEITAA' => NULL,
  'hpA550048GPOEEITAA' => NULL,
  'hpA5830AF24XG' => NULL,
  'hpA5830AF48G' => NULL,
  'hpA5830AF96G' => NULL,
  'hpV191016G' => NULL,
  'hpV191024G' => NULL,
  'hpV191024GPoE365W' => NULL,
  'hpV191024GPoE170W' => NULL,
  'hpV191048G' => NULL,
  'hpA10504' => NULL,
  'hpA10508' => NULL,
  'hpA10508V' => NULL,
  'hpA10512' => NULL,
  'hpA360024V2EI' => NULL,
  'hpA360048V2EI' => NULL,
  'hpA360024PoEPlusV2EI' => NULL,
  'hpA360048PoEPlusV2EI' => NULL,
  'hpA360024SFPV2EI' => NULL,
  'hpA360024V2SI' => NULL,
  'hpA360048V2SI' => NULL,
  'hpA360024PoEPlusV2SI' => NULL,
  'hpA360048PoEPlusV2SI' => NULL,
  'hpA310048V2' => NULL,
  'hpAMSR900' => NULL,
  'hpAMSR920' => NULL,
  'hpAMSR2010' => NULL,
  'hpAMSR2011' => NULL,
  'hpAMSR2012' => NULL,
  'hpAMSR2012T' => NULL,
  'hpAMSR2013' => NULL,
  'hpAMSR2020' => NULL,
  'hpAMSR2021' => NULL,
  'hpAMSR2040' => NULL,
  'hpAMSR3010' => NULL,
  'hpAMSR3011E' => NULL,
  'hpAMSR3011F' => NULL,
  'hpAMSR3016' => NULL,
  'hpAMSR3020' => NULL,
  'hpAMSR3040' => NULL,
  'hpAMSR3060' => NULL,
  'hpAMSR5040' => NULL,
  'hpAMSR5060' => NULL,
  'hpA6602' => NULL,
  'hpA6604' => NULL,
  'hpA6608' => NULL,
  'hpA6616' => NULL,
  'hpAMSR900W' => NULL,
  'hpAMSR900WNA' => NULL,
  'hpAMSR920W' => NULL,
  'hpAMSR920WNA' => NULL,
  'hpAMSR2012W' => NULL,
  'hpAMSR2012TW' => NULL,
  'hpAMSR2012TWNA' => NULL,
  'hpAMSR2013W' => NULL,
  'hpAMSR2013WNA' => NULL,
  'hpAMSR2020S' => NULL,
  'hpAMSR2021S' => NULL,
  'hpAMSR2040S' => NULL,
  'hpAMSR3010DC' => NULL,
  'hpAMSR3016POE' => NULL,
  'hpAMSR3020AS' => NULL,
  'hpAMSR3020POE' => NULL,
  'hpAMSR3020DC' => NULL,
  'hpAMSR3040AS' => NULL,
  'hpAMSR3040POE' => NULL,
  'hpAMSR3040DC' => NULL,
  'hpAMSR3060AS' => NULL,
  'hpAMSR3060POE' => NULL,
  'hpAMSR3060DC' => NULL,
  'hpAMSR5040DC' => NULL,
  'hpAMSR5060DC' => NULL,
  'hpA8805' => NULL,
  'hpA8808' => NULL,
  'hpA8812' => NULL,
  'hpAWA2610EAGNFAT' => NULL,
  'hpAWA2620EAGNFAT' => NULL,
  'hpAWA2620AGNFAT' => NULL,
  'hpA7500LSQM3WCMB0' => NULL,
  'hpA9500LSRM2WCM2A1' => NULL,
  'hpA5800LSWM2WCM10' => NULL,
  'hpA5800LSWM2WCM20' => NULL,
  'hpAWX5004EWPXZ65004' => NULL,
  'hpAWX5002EWPXZ75002' => NULL,
  'hpA3000E' => NULL,
  'hpA3000ELSW' => NULL,
  'hpAWA3620iAGN' => NULL,
  'hpAWA3628iAGN' => NULL,
  'hpAWA3610iGN' => NULL,
  'hpSecBladeIMFWII' => NULL,
  'hpSecBladeIMSSL' => NULL,
  'hpSecBladeIMLB' => NULL,
  'hpSecBladeLSQ1FWBSC0' => NULL,
  'hpSecBladeLSQM1LBC0' => NULL,
  'hpSecBladeLSQ1NSMSC0' => NULL,
  'hpSecBladeLSR1FW2A1' => NULL,
  'hpSecBladeLSR1LB1A1' => NULL,
  'hpSecBladeLSR1NSM1A1' => NULL,
  'hpSecBladeLST1FW2A1' => NULL,
  'hpSecBladeLST1LB1A1' => NULL,
  'hpSecBladeLST1NSM1A1' => NULL,
  'hpSecBladeLSWM1FW10' => NULL,
  'hpSecBladeSPEFWM200' => NULL,
  'hpAF5000' => NULL,
  'hpAF1000E' => NULL,
  'hpAU200S' => NULL,
  'hpAU200A' => NULL,
  'hpAF1000SEI' => NULL,
  'hpAF1000AEI' => NULL,
);

// EOF
